> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sarasfinance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Example section for showcasing API endpoints for Processes

## Welcome

Processes are the ultimate resources that you can access through our APIs.

**OAuth**

Our platform follows oauth 2 and client ID and client secret should be sent to below endpoint while our base URL is `https://ind-prod.sarasfinance.com`

```curl theme={null}
curl --location 'https://ind-prod.sarasfinance.com/v1/users/userLogin' \
--header 'Content-Type: application/json' \
--data-raw '{
    "client_id": "<<YOUR_CLIENT_ID>>",
    "client_secret": "<<YOUR_CLIENT_SECRET>>"
}'
```

## Authentication

All API endpoints are authenticated using Bearer tokens and picked up from the specification file.

```json theme={null}
curl --location '/endpoint' \
--header 'Authorization: Bearer <<ACCESS_TOKEN>>'
```

## Standard Pagination

All get endpoints follow standard pagination in request params.

```json theme={null}
page: 1,
perPageCount: 10
```

## Standard Filters

All get endpoints follow standard filters in request params. The filters should be sent as stringified version of below JSON structure

```json theme={null}
{
    "id": "<<SOME_UNIQUE_ID>>",
    "subProjectId_id": "....",
    "...": "..."
}
```

## Standard Tracing

Each request is assigned a unique ID in its header. This ID is called, **x-saras-traceid** and is used to debug the issues reported to the support team.
